# change HDF (Hyperact Help-Development Kit) commands to LaTeX
#
# Backslash 
# Note: we can't enclose it in braces here! (Braces handling follows!)
s/\\/\\ensuremath\\backslash/g
b donebslash

:donebslash
# Braces!
s/{/\\{/g
s/}/\\}/g
b donebraces

:donebraces
# Doublequote. After that, branch to :donedq (" is now a command!)
s/"/\\altdq\{\}/g
b donedq
:donedq
# Umlaut 
s//\\protect"u/g
s//\\protect"a/g
s//\\protect"o/g
s//\\protect"U/g
s//\\protect"A/g
s//\\protect"O/g
s//\\protect"s/g
b donechars

:donechars
# LaTeX specials
s/>/\\ensuremath{>}/g
s/</\\ensuremath{<}/g
s/|/\\ensuremath{|}/g
s/_/\\_/g
s/\^/\\caret{}/g
s/\$/\\$/g
s/\#/\\#/g
s/^	/        /g
s/%/\\%/g
b donespec

:donespec
# Ligaturen zerst"oren -- Das mache ich jetzt mit active chars
#s/fl/f\\protect"|l/g
#s/ff/f\\protect"|f/g
#s/fi/f\\protect"|i/g
# Improve hyphenation
#s/\([^ ]\)-[ \n][ \n]*/\1-/g
# >=1 space, tilde (menu of references) -> make new line
s/^  *~/\\\\~/g
# >=1 space, number (must be enumeration!) -> make new line
s/^  *\([1-9][1-9]*\)\./\\\\\1. /g
# 1 space, asterix, 1 space -> make new line, put bullet
s/^ \* /\
\\ensuremath{\\triangleright} /g
s/^- /\
\\ensuremath{\\triangleright} /g
s/^ - /\
\\ensuremath{\\triangleright} /g
s/^  - /\
\\ensuremath{\\triangleright} /g
###
#/\.topic /,/
/{s/,/!/g;}
# Remove MSDOS CR
s/
//g;
s/~~/~/g;
s/d\.h\./d.\\,h./g;
s/z\.B\./z.\\,B./g;
b donecr

:donecr
# Pseudo IDs
#
s/\.top /.topic /g
s/^ Funktion:/~Funktion~section~/g
s/^ siehe auch:/~siehe auch~section~/g
s/^Siehe auch:/~siehe auch~section~/g
s/^siehe auch:/~siehe auch~section~/g
s/^ siehe:/~siehe~section~/g
s/^ Felder:/~Felder~section~/g
s/^ Methoden:/~Methoden~section~/g
s/^ Deklaration:/~Deklaration~section~/g
#s/^ Deklaration:[
	\n\
# ]*\(.*\)/~\1~dec~/g
#/^ Deklaration:/b dec
#b normal
#
#:dec
#q

:normal
#
# Native and MKM commands
s/\.include .*//g
s/\.paragraph/\
/g
s/\.Paragraph/\
/g
s/\.end-paragraph/\
/g
s/\.endpar/\
/g
s/\.par/\
/g
s/\.topic \(.*\)/\\hdflab!hdftop\{\1\}!hdfbal{}\\hdfind\\hdfindex{\1}\\hdfdni{}/g
#s/\.top \(.*\)/\\hdftop\{\1\}\\hdfind\\hdfindex{\1}\\hdfdni{}/g
s/\.title \(.*\)/\\hdftit\{\1\}/g
s/\.keywords \(.*\)/\\/g
s/~\([^~]*\)\~section\~/\\hdfsect\{\1\}/g
#s/~ ~start-table~/\\hdftable/g
#s/~ ~end-table~/\\endhdftable/g
s/~\([^~]*\)~file-id~//g
s/~ ~start-table~/\\begin\{verbatim\}/g
s/~ ~end-table~/\\end\{verbatim\}/g
s/~ ~start-example~/\\hdfex\\begin\{verbatim\}/g
s/~ ~end-example~/\\end{verbatim}\\endhdfex/g
s/~\([^~]*\)\~example\~/\\hdfex\\begin\{verbatim\}\1\\end{verbatim}\\endhdfex/g
s/~\([^~]*\)~ex~/\\hdfextern{\1}/g
s/~\([^~]*\)~dec~/\\hdfdec\{\1\}/g
s/~\([^~]*\)~Dec~/\\hdfdec\{\1\}/g
s/~\([^~]*\)~em~/\\hdfem\{\1\}/g
#s/~ ~start-dec~/\\hdfdecl/g
#s/~ ~end-dec~/\\endhdfdecl/g
s/~ ~start-dec~/\\hdfdecl\\begin\{verbatim\}/g
s/~ ~end-dec~/\\end\{verbatim\}\\endhdfdecl /g
s/\.end-topic/\\endhdftop/g
s/\.endtop/\\endhdftop/g
s/~\([^~]*\)~\([^~]*\)~/\\hdfref\{\1\}{\2}/g

# Translate comma to ! (Index)
#/@ind@/,/@dni/{s/,/!/;}
# Graphic chars
#s/* \(.*\)/\\hdfline\{\1\}/g
s//-/g
s//-/g



